commit:     60842dbca2359fe4ae511f59dad434625c076e8f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 12:53:51 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May 11 12:54:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60842dbc

app-admin/clustershell: Version bump to 1.7.3

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 app-admin/clustershell/Manifest                  |  1 +
 app-admin/clustershell/clustershell-1.7.3.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-admin/clustershell/Manifest b/app-admin/clustershell/Manifest
index ee8aa23a207..ed813c4da37 100644
--- a/app-admin/clustershell/Manifest
+++ b/app-admin/clustershell/Manifest
@@ -1 +1,2 @@
 DIST clustershell-1.6.tar.gz 950548 SHA256 
ea119555ba9a4a8aa17d355345772263c20e2cc362140f55933ce217d7633e07 SHA512 
d94979bf5b5ead406f49e4ba691cf8541c03398913eb2fb9da724f50ba8b47059b76ddb6058dc5aaea86bbc8588b4d9c75cc34a8a7a94dcfa184ca73250c3b02
 WHIRLPOOL 
889c250e6ef364dcab20960fb0fd84e6d8e00d8c185d40704b9a5845e4f45ea3fe074bdba5713aadb5cad04e11933b1d8a98fb7b80ec559682c699850c517975
+DIST clustershell-1.7.3.tar.gz 345447 SHA256 
05724cf189aae4585576faa5183eb9be97bf2993b1d0049b9e0e2689f76661fc SHA512 
acb8e8a5b4a576ee93fbe23a8d903bab813f4182b50d9cd752b3684c743e611d3ee3fcfde31818c0a92495a3ee7640094d4568a03fdbf543e398a1b741a978d4
 WHIRLPOOL 
6279f2afc57e3e7af9f76b952c4a56baf26ad1055e84e0b369591c9466aaa55636e8d4a6ffaccff8f2c478a29471b6b27fd8b63e4c53d5410f755769ceabe0ff

diff --git a/app-admin/clustershell/clustershell-1.7.3.ebuild 
b/app-admin/clustershell/clustershell-1.7.3.ebuild
new file mode 100644
index 00000000000..3756006e28c
--- /dev/null
+++ b/app-admin/clustershell/clustershell-1.7.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# TODO: test phase
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+inherit distutils-r1
+
+DESCRIPTION="Python framework for efficient cluster administration"
+HOMEPAGE="https://cea-hpc.github.com/clustershell/";
+SRC_URI="https://github.com/cea-hpc/clustershell/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc libressl test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND="${CDEPEND}
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )"
+
+RESTRICT="test" # currently fail
+
+src_install() {
+       distutils-r1_src_install
+
+       if use doc ; then
+               local i
+               for i in $(ls -I man "${S}"/doc) ; do
+                       dodoc -r doc/${i}
+               done
+       fi
+
+       doman doc/man/man*/*
+
+       insinto /etc/${PN}
+       doins -r conf/*
+}
+
+python_test() {
+       cd tests || die
+       nosetests -sv --all-modules || die
+}
+
+pkg_postinst() {
+       einfo
+       einfo "Some default system-wide config files have been installed into"
+       einfo "/etc/${PN}"
+       einfo
+}

Reply via email to